Page MenuHomeMiraheze

Short URL
Closed, ResolvedPublic

Description

Hey,

Is it possible to have short URLs on https://psiconauta.pt/wiki/P%C3%A1gina_principal ? I want them to be just https://psiconauta.pt/P%C3%A1gina_principal
In nginx would be something like this:

rewrite ^/(.*)$ /w/index.php?title=$1&$args;

Event Timeline

psiconauta triaged this task as Low priority.Dec 21 2018, 16:01
psiconauta created this task.
psiconauta updated the task description. (Show Details)Dec 21 2018, 16:03
Corey added a subscriber: Corey.Dec 24 2018, 20:41

I doubt there'd be any way to accomplish this without using this URL setup for all Miraheze communities, though I may be wrong.

In any case, URL structures like this are not recommended.

AmandaCath raised the priority of this task from Low to Normal.Dec 28 2018, 00:34
AmandaCath added a project: MediaWiki.
MacFan4000 edited projects, added NGINX; removed MediaWiki.Dec 28 2018, 01:01
Southparkfan added a comment.EditedDec 29 2018, 16:33
In T3912#75070, @Corey wrote:

I doubt there'd be any way to accomplish this without using this URL setup for all Miraheze communities, though I may be wrong.

It's not impossible, but it's not desirable.

In any case, URL structures like this are not recommended.

Indeed. I used to be an administrator for a wiki with this URL setup. I assure you there have been way too many cases where the existence of files (non-PHP files, to be exact - such as FAQ, LICENSE and whatever) and directories broke many articles. For this reason, I strongly object using the root path for your articles. However, if the reason is to un-break old links - we can definitely add 301 Permanent Redirects for /$1 to /wiki/$1 (unless $1 isa file on our server) so clients and spiders/robots will be aware of the new, correct URL path.

Corey added a comment.Jan 4 2019, 06:15

@psiconauta, please see the above. If there's no reply from you in the next couple days we're going to mark this as resolved.

Paladox added a subscriber: Paladox.Jan 5 2019, 02:38
This comment was removed by Paladox.
Paladox added a comment.Jan 5 2019, 03:07
This comment was removed by Paladox.
Paladox added a comment.Jan 5 2019, 03:08
This comment was removed by Paladox.
Paladox added a comment.Jan 5 2019, 03:12
This comment was removed by Paladox.
Paladox added a comment.Jan 5 2019, 03:24
This comment was removed by Paladox.
Corey closed this task as Resolved.Jan 9 2019, 08:21
Corey claimed this task.

Going to mark this as resolved since there's been no further activity here from @psiconauta. Feel free to re-open this task if needed.